tools - update gradle android studio



Android Studio 3.0: buildToolsVersion no se encuentra en los archivos gradle (1)

Con el nuevo android gradle plugin 3.x ya no necesita especificar una versión para las herramientas de compilación (por lo tanto, ahora puede eliminar la propiedad android.buildToolsVersion ).
De forma predeterminada , el complemento utiliza automáticamente la versión de herramientas de compilación mínima requerida para la versión del complemento de Android que está utilizando.

Puedes leer más aquí .

Recientemente instalé la nueva versión estable de Android Studio (v3.0). Luego creó un nuevo proyecto y no hubo ningún problema. Pero vio que no hay ningún campo buildToolsVersion en el archivo build.gradle la aplicación. Incluso busqué todos los archivos del proyecto ( Ctrl Shift F ), ¡pero no encontré nada!

¿Qué significa esto? ¿Y cómo puedo determinar cuál es la versión de Build Tools en mi módulo de aplicación?

build.gradle (Proyecto):

// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    repositories {
        google()
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.0.0'


        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

build.gradle (Módulo: aplicación):

apply plugin: 'com.android.application'

android {
    compileSdkVersion 26
    defaultConfig {
        applicationId "ir.e900.androidstudio30"
        minSdkVersion 15
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.android.support:appcompat-v7:26.1.0'
    implementation 'com.android.support.constraint:constraint-layout:1.0.2'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.1'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1'
}




build-tools